Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

Smart Bluetooth Forum Discussions

Anonymous
Not applicable

Compiling sparinit.c

Can't locate utf8.pm in @INC (@INC contains: .) at scripts/generatelibinstaller.pl line 101, <SYMBOLS> line 1.

BEGIN failed--compilation aborted, <SYMBOLS> line 1.

make.exe[1]: *** [../../build/floor_2_ceiling_master-BCM920737TAG_Q32-rom-ram-Wiced-release/lib_installer.c] Error 2

gcc/rules_cm3_gcc.inc:122: recipe for target '../../build/floor_2_ceiling_master-BCM920737TAG_Q32-rom-ram-Wiced-release/lib_installer.c' failed

make.exe[1]: *** Deleting file '../../build/floor_2_ceiling_master-BCM920737TAG_Q32-rom-ram-Wiced-release/lib_installer.c'

Makefile:329: recipe for target 'floor_2_ceiling_master-BCM920737TAG_Q32' failed

make: *** [floor_2_ceiling_master-BCM920737TAG_Q32] Error 2

0 Likes
1 Solution
Anonymous
Not applicable

Hi meherkollipara,

While we haven't seen your exact error, let me share two things that worked for us. 

First: if this is a Linux system (with the apt-get command), try installing perl-base:

apt-get install perl-base

Second: Replace the perl included in the SDK with a symlink to your system perl:

ln -sf /usr/bin/perl WICED-Smart-SDK-2.1.0/Tools/common/Linux64/perl

ln -sf /usr/bin/perl WICED-Smart-SDK-2.1.0/Tools/common/OSX/perl

I hope this works for you. 

--Blake.

View solution in original post

3 Replies
MichaelF_56
Moderator
Moderator
Moderator
250 sign-ins 25 comments on blog 10 comments on blog

I'll look into this with the developers. I believe UTF-8 is a universal characterset library.

0 Likes

I'm struggling to find someone internally that knows about Perl and this error in particular. Our guess is that this has something to do with the paths/missing dlls/something similar.  This is a first for us.

0 Likes
Anonymous
Not applicable

Hi meherkollipara,

While we haven't seen your exact error, let me share two things that worked for us. 

First: if this is a Linux system (with the apt-get command), try installing perl-base:

apt-get install perl-base

Second: Replace the perl included in the SDK with a symlink to your system perl:

ln -sf /usr/bin/perl WICED-Smart-SDK-2.1.0/Tools/common/Linux64/perl

ln -sf /usr/bin/perl WICED-Smart-SDK-2.1.0/Tools/common/OSX/perl

I hope this works for you. 

--Blake.